=== Build/linux_release/Makefile ===
# (ediff "../windows_release/Makefile" "../linux_release/Makefile")
# schroot --chroot=unstable -- make -r all

all: tests examples library

# ../../Test/test_one_harness.adb
t_one : test_one_harness.run
t_all : test_all_harness.run

one : bracketed_comment_test-run.run

include ../common.make

# Local Variables:
# eval: (ada-parse-prj-file "opentoken.prj")
# eval: (ada-select-prj-file "opentoken.prj")
# end:
# end of file
