=== debian/changelog ===
opentoken (4.0b-4) unstable; urgency=low

  * Adopting the package. Closes: #73753.
  * Switch to debhelper 9, dpkg-dev and dh-ada-library helpers.
  * Build-Depends: gnat in addition to gnat-4.6 to ensure default compiler.
  * Vcs-*: correct field names and values.
  * Stop depending on inexistant ada-compiler virtual package.
  * Mark lib and -dev packages as Multiarch: same.
  * copyright: update, machine-readable format 1.0.
  * Move runtime tests to debian/tests. XS-Testsuite field accordingly.
  * rules: inherit hardening flags. Do not compress examples. Implement clean.
  * Standards-Version: 3.9.5.
  * source.lintian overrides: -lib does Depend on -dbg.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 30 Nov 2013 15:29:08 +0100

opentoken (4.0b-3) unstable; urgency=low

  * upgrade to gnat-4.6; bump aliversion

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sun, 10 Jul 2011 15:28:15 -0400

opentoken (4.0b-2) unstable; urgency=low

  * new upstream version 4.0b; packaging changes only
  
  * debian/control (Architecture): change to 'any', matching
    gnat-4.4. Closes: #568450

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Tue, 29 Jun 2010 03:37:18 -0400

opentoken (4.0a-1) unstable; urgency=low

  [Stephen Leake]
  * update to upstream version 4.0a; mtn tag "version_4.0a". Requires
    soversion and aliversion changes.

  [Ludovic Brenta]
  * debian/control (DM-Upload-Allowed): new.   (Uploaders): remove myself.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Sat, 27 Feb 2010 14:14:22 -0500

opentoken (3.1a-1) unstable; urgency=low

  * update to upstream version 3.1a; mtn tag "version_3.1a". Requires an
    soversion change.

  * control: add aliversion to dev package name, reorder packages, update
    Suggests, Conflicts, Replaces.
    (Build-Depends): update to gnat-4.4
    (Maintainer): change to Stephen Leake
    (Uploaders): add Ludovic Brenta
    (XS-Vcs-Mtn, XS-Vcs-Browser): new
    (* Architecture): update to current gnat list

  * copyright: add Stephen Leake, update to GPL 3

  * <package>.*: delete; easier to maintain in rules file.

  * patches: delete; no longer needed.

  * rules: rewrite, using gnat project files more extensively.

 -- Stephen Leake <stephen_leake@stephe-leake.org>  Wed, 18 Nov 2009 05:42:42 -0500

opentoken (3.0b-11) unstable; urgency=low

  * Include missing language lexer code.
  * Update to Standards-Version 3.8.2 (no changes).

 -- Reto Buerki <reet@codelabs.ch>  Fri, 19 Jun 2009 00:54:05 +0200

opentoken (3.0b-10) unstable; urgency=low

  * Fix wrong-section-according-to-package-name warning.
    - opentoken-dbg: devel -> debug.
  * Tighten dependency to gnat-4.3 (Closes: #533156).
  * Remove unused opentoken-dbg lintian override.
  * Update to Standards-Version 3.8.1 (no changes).
  * Update Debian specific OpenToken project file.

 -- Reto Buerki <reet@codelabs.ch>  Mon, 15 Jun 2009 22:02:36 +0200

opentoken (3.0b-9) unstable; urgency=low

  * Update maintainer e-mail address.
  * Remove "section" field from binary package libopentoken4.

 -- Reto Buerki <reet@codelabs.ch>  Sat, 07 Feb 2009 12:26:58 +0100

opentoken (3.0b-8) unstable; urgency=low

  * Updated to Standards-Version: 3.8.0
  * Added mips and mipsel to 'Architecture' (Closes: #495239).

 -- Reto Buerki <buerki@swiss-it.ch>  Sat, 16 Aug 2008 18:11:21 +0200

opentoken (3.0b-7) unstable; urgency=low

  * Fix compilation issues in ASU_Example_5_10 parser examples
    (Closes: #249915, #249916).

 -- Reto Buerki <buerki@swiss-it.ch>  Tue, 13 May 2008 14:04:32 +0000

opentoken (3.0b-6) unstable; urgency=low

  * Taking over package from Ludovic Brenta (Closes: #477322).
  * Renamed source package to its upstream name.
  * Added debug package opentoken-dbg.
  * Placed DH_COMPAT in debian/compat (removed export from debian/rules).
  * Upgrading package to debhelper 7.
  * Using dpatch for patch management.
  * Changed SONAME to libopentoken.so.4 because of ABI change
    (transition to gnat-4.3) - no other packages affected.
  * Cleanup of debian/rules.

 -- Reto Buerki <buerki@swiss-it.ch>  Sat, 3 May 2008 10:32:08 +0200

libopentoken (3.0b-5) unstable; urgency=medium

  * debian/control (libopentoken3.0b): conflict with, and replace
    libopentoken3.  Closes: #388147.  Thanks, Bill, for reporting this.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 19 Sep 2006 23:40:42 +0200

libopentoken (3.0b-4) unstable; urgency=low

  [Felipe Augusto van de Wiel (faw) <felipe@cathedrallabs.org>]
  * Transition to GCC 4.1.  Closes: #378715.
    - Bump SONAME to 3.0b:
      + changes in debian/rules to allow the use of another SONAME and to
        properly handle the libs
    - Dependency changes in debian/control
      + libopentoken build-depends on gnat (>= 4.1)
      + libopentoken-dev depends on gnat-4.1
      + depends on libopentoken3.0b (to match the new SONAME)
        - rename package libopentoken3 to libopentoken3.0b
  * Changed maintainer e-mail address (requested by him).
  * Removed Uploaders fields (requested by the maintainer).
  * Bump Standards-Version to 3.7.2 (no changes required).
  * Adding architectures supported by gnat-4.1:
    - New arches: amd64 hppa ia64

  [Ludovic Brenta]
  * Many thanks to Felipe for all the hard work.
  * Add alpha and s390, libgnat has just been enabled on these archs.
  * Update the FSF's address in the copyright file.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  6 Aug 2006 22:44:15 +0200

libopentoken (3.0b-3) unstable; urgency=low

  * debian/rules (regexp): accept any character in the Debian upload number.
    Closes: #359898.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Sat,  1 Apr 2006 13:46:26 +0200

libopentoken (3.0b-2) unstable; urgency=low

  * debian/control: add support for GNU/kFreeBSD, per request from
    Aurélien Jarno.  Build-depend on gnat (>= 3.15p-19).  Closes: #345191.
  * debian/control: update standards-version to 3.6.2 with no changes.
  * debian/control: update maintainer's email address.

