=== debian/control ===
Source: opentoken
Section: libs
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
 gnat, gnat-4.6,
 dh-ada-library
Standards-Version: 3.9.5
Homepage: http://www.stephe-leake.org/ada/opentoken.html
Vcs-Mtn: www.ada-france.org org.debian.libopentoken
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libopentoken
XS-Testsuite: autopkgtest

Package: libopentoken3-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Conflicts: libopentoken-dev, libopentoken1-dev, libopentoken2-dev
Replaces: libopentoken-dev, libopentoken1-dev, libopentoken2-dev
Description: OpenToken lexical analysis library for Ada (development)
 OpenToken is a facility for performing token analysis within the Ada language.
 It is designed to provide all the functionality of a traditional lexical
 analyzer generator, such as lex. But due to the magic of inheritance and
 runtime polymorphism it is implemented entirely in Ada as withed-in code. No
 precompilation step is required, and no messy tool-generated source code is
 created.
 .
 This package contains the development files and associated documentation.

Package: libopentoken-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${ada:Depends}
Recommends: ${ada:Recommends}
Suggests: ${ada:Suggests}
Description: OpenToken lexical analysis library for Ada (debug)
 OpenToken is a facility for performing token analysis within the Ada language.
 It is designed to provide all the functionality of a traditional lexical
 analyzer generator, such as lex. But due to the magic of inheritance and
 runtime polymorphism it is implemented entirely in Ada as withed-in code. No
 precompilation step is required, and no messy tool-generated source code is
 created.
 .
 This package contains the debug symbols.

Package: libopentoken6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenToken lexical analysis library for Ada (runtime)
 OpenToken is a facility for performing token analysis within the Ada language.
 It is designed to provide all the functionality of a traditional lexical
 analyzer generator, such as lex. But due to the magic of inheritance and
 runtime polymorphism it is implemented entirely in Ada as withed-in code. No
 precompilation step is required, and no messy tool-generated source code is
 created.
 .
 This package contains the runtime shared library for programs that use
 OpenToken.
