=== debian/tests/control ===
Tests: link-with-shared

Tests: upstream-tests
Depends: @, libaunit2-dev
