=== debian/watch ===
version=3
http://www.stephe-leake.org/ada/opentoken.html opentoken-(.*).tar.bz2
