=== debian/changelog ===
opentoken (5.0a-1) unstable; urgency=medium

  * New upstream release relying on gnat-4.9. Closes: #703361.
    Library and -dev packages renamed per Ada policy.
  * New user guide. Lintian override: GFDL, but without invariant section.
    Remove opentoken_developer_tools.html (install documentation).
  * rules: run-tests obsoleted by sadt from devscripts.
  * Upstream files are all executable, fix remaining permissions.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 01 May 2014 14:02:53 +0200
