=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Debian Makefile for OpenToken
 # Copyright (c) 2009-2010 Stephen Leake <stephen_leake@stephe-leake.org>
-# Copyright (c) 2013      Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2014 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -37,17 +37,33 @@
 $(POLICY_TARGETS):
 	dh $@ --with ada-library
 
-PROJECT := debian/opentoken.gpr
+PROJECT := debian/$(LIB_NAME).gpr
 override_dh_auto_build-arch:
 	gnatmake $(BUILDER_OPTIONS) -P$(PROJECT) -XKIND=static \
           $(foreach var,ADAFLAGS,-X$(var)="$($(var))")
 	gnatmake $(BUILDER_OPTIONS) -P$(PROJECT) -XKIND=dynamic \
           $(foreach var,ADAFLAGS LDFLAGS SOVERSION,-X$(var)="$($(var))")
 
-override_dh_auto_clean:
+override_dh_auto_clean::
 	rm -f $(foreach k, dynamic static \
              ,$(foreach d, lib obj \
-             ,debian/opentoken-$(d)-$(k)/*))
+             ,debian/$(LIB_NAME)-$(d)-$(k)/*))
+
+######################################################################
+# Convert wisi user guide to html and txt, so the "docs" file in this
+# directory installs it with hand-written documentations.
+
+WISI_UG := Docs/wisi-user_guide
+
+override_dh_auto_build-arch: $(WISI_UG).html $(WISI_UG).txt
+$(WISI_UG).html: %.html: %.texinfo
+	texi2any --html --no-split $< -o $@
+$(WISI_UG).txt: %.txt: %.texinfo
+	texi2any --plaintext $< -o $@
+override_dh_auto_clean::
+	rm -f $(WISI_UG).html $(WISI_UG).txt
+
+######################################################################
 
 # First package is -dev, but we avoid depending on the aliversion.
 override_dh_compress:
@@ -55,19 +71,7 @@
 	dh_compress --remaining-packages
 
 ######################################################################
-RUN_TESTS_TMP := lib$(LIB_NAME)-run-tests-XXXXXXXXXX
-
-# The plural is a lie: only link-with-shared is executed.
-# You may run the other test with a manual modification.
-# TODO: use adttest and remove all this.
-
-run-tests:
-	ADTTMP=`mktemp --tmpdir --directory $(RUN_TESTS_TMP)` && \
-        ADTTMP=$$ADTTMP sh debian/tests/link-with-shared 2> $$ADTTMP/stderr; \
-        status=$$?; cat $$ADTTMP/stderr; \
-        if test $$status != 0; then \
-          echo "Test failed: non zero exit status ($$status)."; \
-        elif test -s $$ADTTMP/stderr; then \
-          echo "Test failed: activity on stderr."; \
-        fi; \
-        rm -f -r $$ADTTMP
+override_dh_fixperms:
+	dh_fixperms
+	find debian/libopentoken*-dev/usr/share/doc/libopentoken*-dev/examples \
+          -type f -print0 | xargs -0 chmod 644
