=== debian/changelog ===
opentoken (6.0b-4) unstable; urgency=medium

  * Split -indep Build-Dependencies and targets. Closes: #806091.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 04 Dec 2015 00:04:42 +0100

opentoken (6.0b-3) unstable; urgency=medium

  * Per Ada policy, 5-dev Breaks/Replaces 4-dev. Closes: #789662.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 23 Jun 2015 21:24:20 +0200

opentoken (6.0b-2) unstable; urgency=medium

  * copyright: add FlightSafety International (spotted by Thorsten Alteholz).
  * Only fix examples permissions if -doc package is built. Closes: #789527.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 22 Jun 2015 00:22:53 +0200

opentoken (6.0b-1) unstable; urgency=medium

  * New upstream release.  Keep lib and -dev package names, as previous
    version will be replaced in the NEW queue and never reach unstable.
  * tests/upstream-tests: new source directories.
  * watch: typo.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 16 May 2015 11:43:20 +0200

opentoken (6.0a-1) unstable; urgency=medium

  * New upstream release. Library and -dev packages renamed per Ada policy.
  * copyright: update, add forgotten names, fix format errors.
  * control: bump Standards-Version, remove automated XS-Testsuite field.
  * watch: mention various monotone branches used by upstream.
  * patches/lalr_list_unrestricted_access.diff: needed to build with gcc-4.9.
  * New -doc package with architecture independent docs.
  * doc-base registration.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 30 Apr 2015 16:19:06 +0200
