=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 9),
  gnat, gnat-4.9,
- dh-ada-library,
- texinfo
+ dh-ada-library
+Build-Depends-Indep:
+ ,texinfo
 # texi2any
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.stephe-leake.org/ada/opentoken.html
 Vcs-Mtn: www.ada-france.org org.debian.libopentoken
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libopentoken
-XS-Testsuite: autopkgtest
 
-Package: libopentoken4-dev
+Package: libopentoken5-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
+Breaks: libopentoken4-dev
+Replaces: libopentoken4-dev
 Description: OpenToken lexical analysis library for Ada: development
  OpenToken is a facility for performing token analysis within the Ada language.
  It is designed to provide all the functionality of a traditional lexical
@@ -43,7 +45,7 @@
  .
  This package contains the runtime debug symbols.
 
-Package: libopentoken7
+Package: libopentoken8
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -58,3 +60,18 @@
  created.
  .
  This package contains the runtime shared library.
+
+Package: libopentoken-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Suggests: gnat
+Description: OpenToken lexical analysis library for Ada: documentation
+ OpenToken is a facility for performing token analysis within the Ada language.
+ It is designed to provide all the functionality of a traditional lexical
+ analyzer generator, such as lex. But due to the magic of inheritance and
+ runtime polymorphism it is implemented entirely in Ada as withed-in code. No
+ precompilation step is required, and no messy tool-generated source code is
+ created.
+ .
+ This package contains the documentation.
