=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Debian Makefile for OpenToken
 # Copyright (c) 2009-2010 Stephen Leake <stephen_leake@stephe-leake.org>
-# Copyright (c) 2013-2014 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2015 Nicolas Boulenguez <nicolas@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,6 +19,8 @@
 #
 include /usr/share/dpkg/default.mk
 include /usr/share/ada/debian_packaging.mk
+
+DEB_DATE := $(shell dpkg-parsechangelog -S date)
 
 ADAFLAGS += -gnatfno -gnatwa -gnatVa
 
@@ -37,10 +39,18 @@
 $(POLICY_TARGETS):
 	dh $@ --with ada-library
 
+.PHONY: override_dh_auto_clean
+
+######################################################################
 PROJECT := debian/$(LIB_NAME).gpr
+
+.PHONY: override_dh_auto_build-arch
 override_dh_auto_build-arch:
 	gnatmake $(BUILDER_OPTIONS) -P$(PROJECT) -XKIND=static \
           $(foreach var,ADAFLAGS,-X$(var)="$($(var))")
+ # Ensure deterministic timestamps in ALI files.
+	find . -depth -name "*.ad[bs]" -a -newermt '$(DEB_DATE)' -print0 | \
+	  xargs -0r touch --no-dereference --date='$(DEB_DATE)'
 	gnatmake $(BUILDER_OPTIONS) -P$(PROJECT) -XKIND=dynamic \
           $(foreach var,ADAFLAGS LDFLAGS SOVERSION,-X$(var)="$($(var))")
 
@@ -55,7 +65,8 @@
 
 WISI_UG := Docs/wisi-user_guide
 
-override_dh_auto_build-arch: $(WISI_UG).html $(WISI_UG).txt
+.PHONY: override_dh_auto_build-indep
+override_dh_auto_build-indep: $(WISI_UG).html $(WISI_UG).txt
 $(WISI_UG).html: %.html: %.texinfo
 	texi2any --html --no-split $< -o $@
 $(WISI_UG).txt: %.txt: %.texinfo
@@ -65,13 +76,16 @@
 
 ######################################################################
 
-# First package is -dev, but we avoid depending on the aliversion.
+.PHONY: override_dh_compress
 override_dh_compress:
-	dh_compress --exclude=-dev/examples/
+	dh_compress --package=libopentoken-doc --exclude=-dev/examples/
 	dh_compress --remaining-packages
 
 ######################################################################
-override_dh_fixperms:
-	dh_fixperms
-	find debian/libopentoken*-dev/usr/share/doc/libopentoken*-dev/examples \
+.PHONY: override_dh_fixperms-arch override_dh_fixperms-indep
+override_dh_fixperms-arch:
+	dh_fixperms --arch
+override_dh_fixperms-indep:
+	dh_fixperms --indep
+	find debian/libopentoken-doc/usr/share/doc/libopentoken-doc/examples \
           -type f -print0 | xargs -0 chmod 644
