=== debian/tests/control ===
Tests: link-with-shared

Tests: upstream-tests
Depends: @, libaunit3.7.1-dev
