=== debian/watch ===
version=3
http://www.stephe-leake.org/ada/opentoken.html opentoken-(.*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

# These monotone repositories track upstream revisions.  To the extent
# of my understanding, none, even among the tagged ones, matches exactly
# the tar archive contents.
# mtn://www.ada-france.org?org.opentoken
# mtn://www.ada-france.org?org.opentoken.stephe
# mtn://www.ada-france.org?org.opentoken.work_stephe
# mtn://www.ada-france.org?org.opentoken.work_stephe_2
